/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a copy
 * of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.stock;

import java.util.List;
import nl.cloudfarming.client.model.Operation;
import nl.cloudfarming.client.model.Remedy;
import nl.cloudfarming.client.model.RemedyAppliance;
import nl.cloudfarming.client.model.crop.Crop;

/**
 *
 * @author Timon Veenstra
 */
public interface StockService {

    /**
     * 
     * @param remedy
     * @param operation
     * @return 
     */
    RemedyAppliance createAppliance(Remedy remedy, Operation operation);
    
   
    /**
     * get a list with all know remedies, without taking stock quantity in 
     * account.
     * @return a List of found known remedies
     */
    List<Remedy> getAllRemedies(Crop crop);
    
}
